### 5.1.95 monitor

`Syntax:`
  `monitor (` link_expression `)`
  `monitor (` link_expression`,` string_expression `)`
`Type:`
  none
`Purpose:`
  controls the recording of all user input and/or program output into a file. The second argument describes what to log: `"i"` means input, `"o"` means output, `"io"` for both.
  The default for the second argument is `"i"`.
  Each `monitor` command closes a previous monitor file and opens the file given by the first string expression.
  `monitor ("")` turns off recording.
`Example:`

        monitor("doe.tmp","io"); // log input and output to doe.tmp
        ring r;
        poly f=x+y+z;
        int i=7;
        ideal I=f,x,y;
        monitor("");             // stop logging:
        // doe.tmp contains now all input and output from the example above

See link expressions.

User manual for Singular version 4.4.1, 2025, generated by texi2html.